<?php
/*
Plugin Name: IZONE Posts
Description: Custom Posts for IZONE
*/
/* Start Adding Functions Below this Line */

add_action( 'init', 'izone_posts_init' );

// Creates IZONE Custom Post Type
function izone_posts_init() {

	$labels = array(
			'name' => __('Izone Posts' ),
			'singular_name' => __('Izone Post'),
			'add_new' => __( 'Add New' ),
			'add_new_item' => __('Add New Izone Post'),
			'edit' => __('Edit'),
			'edit_item' => __('Edit Izone Post'),
			'new_item' => __('New Izone Post'),
			'view' => __('View Izone Post'),
			'view_item' => __('View Izone Post'),
			'search_items' => __('Search Izone Posts'),
			'not_found' => __('No izone posts found'),
			'not_found_in_trash' => __('No izone posts found in Trash'),
			'parent' => __('Parent Izone Post')
	);

	$supports = array(
            'title',
	        'editor',
	        'excerpt',
	        'trackbacks',
	        'custom-fields',
	        'comments',
	        'revisions',
	        'thumbnail',
	        'author',
	        'page-attributes'
    );

    $args = array(
	        //'label' => 'Izone Posts',
	        'labels' => $labels,
	        'description' => __('An Izone Post is a custom post that contains custom izone content'),
	        'public' => true,
	        'show_ui' => true,
	        'show_in_menu' => true,
	        'show_in_admin_bar' => true,
	        'publicly_queryable' => true,
			'exclude_from_search' => false,
	        'capability_type' => 'post',        
	        'menu_position' => 20,
	        'hierarchical' => false,        
	        'rewrite' => array('slug' => 'izone', 'with_front' => true ),
	        'taxonomies' => array('post_tag', 'category'),
	        'can_export' => true,
	        'query_var' => true,	        
	        'menu_icon' => 'dashicons-format-aside',
	        'supports' => $supports
    );    

    add_theme_support('post-thumbnails', array('post', 'page', 'izone-posts'));
    
    add_theme_support('custom-header');
    add_theme_support('automatic-feed-links');
    add_theme_support('html5', array('comment-list', 'comment-form', 'search-form', 'gallery', 'caption'));
    
    add_theme_support( 'post-formats', array(
		'aside', 'image', 'video', 'quote', 'link',
	));

	add_theme_support( 'custom-background', apply_filters( 'izone_custom_background_args', array(
		'default-color' => 'ffffff',
		'default-image' => '',
	)));

    register_post_type( 'izone-posts', $args );
}




/* Stop Adding Functions Below this Line */
?>