<?php

require_once('Slim/Slim.php');
require_once('validate.php');


\Slim\Slim::registerAutoloader();

$app = new \Slim\Slim();


//User table
$app->post('/izone/contact/', 'sendContactEmail');
$app->post('/izone/request/', 'sendRequestEmail');

$app->run();




/**
 * Function Name: sendRequestEmail
 *
 * Sends emails from the requesr service form 
 *
 * @param (array) ([email details]) the email details
 * @return (number) ($rows) the number of rows added
 *
 */
function sendRequestEmail() {
	
	$request = \Slim\Slim::getInstance()->request();
	$request_details = json_decode($request->getBody());

	$request_address = $request_details->request_email;
	$request_name = cleanField($request_details->request_name);
	$request_phone = cleanField($request_details->request_phone);
	$request_service = cleanField($request_details->request_service);
	$request_company = cleanField($request_details->request_company);
	$message = cleanField($request_details->request_message);

	$intro = 'Hello Izone,<br/><br/>'.'Type of Request: '.$request_service.'<br/><br/>';
    $outtro = '<br/><br/><b>'.$request_name.'<br/>'.$request_company.'<br/>'.$request_phone.'<br/>'.$request_address.'</b><br/><br/>Thank You';
    $subject = 'A Request for Service - From Website';
	    
	$email_body = $intro.$message.$outtro;
                                
                    
    if(checkEmail($request_address)){
        $from = $request_address;
    }else{
        $from = 'info@izoneafrica.net';
    } 

    $to = 'info@izoneafrica.net';    
    //$to = 'wkungu@gmail.com';
                    
    $status = send_web_mail($from,$to,$subject,$email_body); 

    if($status){
    	echo '{"message":'. json_encode('Thank you. We will get back to you soon') .'}';
    }else{
    	echo '{"error":'. json_encode('Sorry Message NOT Sent') .'}';
    }


	
}





/**
 * Function Name: sendContactEmail
 *
 * Sends emails from the contact form 
 *
 * @param (array) ([email details]) the email details
 * @return (number) ($rows) the number of rows added
 *
 */
function sendContactEmail() {
	
	$request = \Slim\Slim::getInstance()->request();
	$email_details = json_decode($request->getBody());

	$email_address = $email_details->contacts_email;
	$email_name = cleanField($email_details->contacts_name);
	$message = cleanField($email_details->contacts_message);

	$intro = 'Hello Izone,<br/><br/>';
    $outtro = '<br/><br/><b>'.$email_name.'</b><br/>Thank You';
    $subject = 'A Message - From Website';
	    
	$email_body = $intro.$message.$outtro;
                                
                    
    if(checkEmail($email_address)){
        $from = $email_address;
    }else{
        $from = 'info@izoneafrica.net';
    } 

    $to = 'info@izoneafrica.net';    
    //$to = 'wkungu@gmail.com';
                    
    $status = send_web_mail($from,$to,$subject,$email_body); 

    if($status){
    	echo '{"message":'. json_encode('Thank you. We will get back to you soon') .'}';
    }else{
    	echo '{"error":'. json_encode('Sorry Message NOT Sent') .'}';
    }


	
}



function checkEmail($str){
	return preg_match("/^[\.A-z0-9_\-\+]+[@][A-z0-9_\-]+([.][A-z0-9_\-]+)+[A-z]{1,4}$/", $str);
}

function cleanField($text){	
	
	$name = preg_replace("/[^a-zA-Z0-9\/_|+,<>() .-]/", '', $text);//remove special characters
	$name = preg_replace("/[\"\']/", '', $name); //remove any quotes

	return $name;
}


function send_web_mail($from,$to,$subject,$body){	
	
	$email_to= $to;
	$email_subject = $subject;
	$email_message = $body;
	$headers = "MIME-Version: 1.0\r\n" . "Content-type: text/html; charset=iso-8859-1\r\n" . "From: Website\r\n" . "Reply-To: info@flutechs.com\r\n'";
	
	$status = mail($email_to, $email_subject, $email_message, $headers);

	return $status;
	
}



?>
