<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Izone Africa
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>


<body <?php if(is_home()){echo 'class="index"';}?>>
		
		
		<!-- <section class="overlay">
			<section class="disclaimer">
				<h1>Still Under Construction</h1>
			</section>
		</section> -->

		<section class="overlay">

		</section>


		<section class="requestForm">
			
			<figure class="closer"></figure>

			  <h2>Service Request Form</h2>
				  <form method="post" id="requestForm" class="contactForm" action="#">
						
					<div class="alert alert-danger hidden">                              
	                      <span class="request-message">Please fix errors on the form:</span>
	                    </div>

	                    <div class="alert alert-success hidden">                              
	                      <span class="request-message"></span>
	                    </div>

					<fieldset>
						
						<p>
								
							<label for="request_name">Your Name</label>
							<input type="text" name="request_name" id="request_name" class="form-control" data-required="1" >

						</p>
						<p>

							<label for="request_email">Email Address</label>
							<input type="email" name="request_email" id="request_email" class="form-control" data-required="1" >

						</p>
						<p>
									
							<label for="request_phone">Phone Number</label>
							<input type="text" name="request_phone" id="request_phone" class="form-control" data-required="1" >

						</p>
						
						<p>

							<label for="request_service">Service Request</label>
							<select name="request_service" id="request_service">
								<option value="Strategy">Strategy</option>
								<option value="Content Development">Content Development</option>
								<option value="Production">Production</option>
								<option value="iActivate">iActivate</option>

							</select>

						</p>

						<p>
									
							<label for="request_company">Company Name</label>
							<input type="text" name="request_company" id="request_company" class="form-control" >

						</p>
						
						<p class="letter">

							<label for="request_message">Write to Us</label>
							<textarea name="request_message" id="request_message" cols="30"rows="10" class="form-control" data-required="1" ></textarea>
						</p>

						<p class="captcha-elements">									
							  <span id="fspambot">For verification purposes:</span><br>
		                      <input value="<?php echo rand(1,4) ?>" class="sum form-control" disabled="" name="fnum" id="fnum"> <span class="sign">+</span> 
		                      <input value="<?php echo rand(5,9) ?>" class="sum form-control" disabled="" name="snum" id="snum"> <span class="sign">=</span>
		                      <input type="text" maxlength="2" class="captcha form-control" id="fcaptcha" name="fcaptcha">
		                      
						</p>

					</fieldset>

					<button type="submit">Send Request</button><button type="reset">Reset</button>
					
				</form>

		</section>


		<!-- HEADER SECTION -->
		<header>
			
			<section class="centerAligner">
				<!-- SITE LOGO -->
				<figure class="logo"><a href=" <?php echo esc_url( home_url( '/' ) ); ?>"></a></figure>
				<!-- END SITE LOGO -->
				
				<!-- MAIN NAVIGATION -->
				<nav>
				
					<?php //wp_nav_menu(); ?>

					<ul id="main_menu">

						<li class="current">
							<a href="#ihome" id="home" rel="m_PageScroll2id" class="current home-link">Who we are</a>
							<span class="hoverIndicator"></span>
						</li>

						<li>
							<a href="#iwhat" id="what" rel="m_PageScroll2id" class="what-link" >What we do</a>
							<span class="hoverIndicator"></span>
							
						</li>

						<li>
							<a href="#iclients" id="clients" rel="m_PageScroll2id" class="clients-link" >Our Clients</a>
							<span class="hoverIndicator"></span>
							
						</li>

						<li>
							<a href="#icases" id="casestudies" rel="m_PageScroll2id" class="cases-link" >What we've done</a>
							<span class="hoverIndicator"></span>
						</li>
						<!-- 
						<li>

							<a href=".blog" id="blog" >Blog</a>
							<span class="hoverIndicator"></span>

						</li> 
						-->
						<li>
							<a href="#icontact" id="contact" rel="m_PageScroll2id" class="contact-link" >Contact US																																																							</a>
							<span class="hoverIndicator"></span>

						</li>

					</ul>

					<div class="mobilesolialLinks">
						<a href="#" target="_blank">Facebook</a>
						<a href="#" target="_blank">Twitter</a>
					</div>
					
				</nav>
				<!-- END MAIN NAVIGATION -->
				
				<figure class="mobileNavIcon"></figure>

			</section>
			
			
			
		</header>
		<!-- END HEADER SECTION -->

		<!-- SOCIAL MEDIA LINKS -->
		
		<section class="socialLinks">
			<a href="https://www.facebook.com/pages/IZone-Africa/1543276159247273" class="facebook" target="_blank"></a>
			<a href="https://twitter.com/izone_africa?lang=en" class="twitter" target="_blank"></a>
			<a href="#" class="gplus hidden" target="_blank"></a>
			<a href="#" class="linkedin hidden" target="_blank"></a>
		</section>

		<!-- END SOCIAL MEDIA LINKS -->
